# First N Vowels
by Matt
tags: strings, regex, loops

## Summary
> Write a function that returns the first n vowels of a string.
> Examples
> firstNVowels("sharpening skills", 3) ➞ "aei"
> firstNVowels("major league", 5) ➞ "aoeau"
> firstNVowels("hostess", 5) ➞ "invalid"
> Notes
> Return "invalid" if the n exceeds the number of vowels in a string.
> Vowels are: a, e, i, o, u

## Instructions
Write a function that returns the first `n` vowels of a string.

### Examples
```
firstNVowels("sharpening skills", 3) ➞ "aei"

firstNVowels("major league", 5) ➞ "aoeau"

firstNVowels("hostess", 5) ➞ "invalid"
```

### Notes
- Return `"invalid"` if the `n` exceeds the number of vowels in a string.
- Vowels are: _a, e, i, o, u_