# Using the :? Operator
by CppPythonDude
tags: conditions, language_fundamentals

## Summary
> There is a ?: operator in C++ and it's basic form is (condition) ? (something1) : (something2).
> To illustrate:
> if (condition)
>   something1;
> else
>   something2;
> Write a function that uses the ?: operator to return "yeah" if the condition is true, and "nope" otherwise.
> Examples
> yeahNope(true) ➞ "yeah"
> yeahNope(false) ➞ "nope"
> Notes
> N/A

## Instructions
There is a `?:` operator in C++ and it's basic form is `(condition) ? (something1) : (something2)`.

To illustrate:

```
if (condition)
  something1;
else
  something2;
```

Write a function that uses the `?:` operator to return `"yeah"` if the condition is `true`, and `"nope"` otherwise.

### Examples
```
yeahNope(true) ➞ "yeah"

yeahNope(false) ➞ "nope"
```

### Notes
N/A