# Check String for Spaces
by Helen Yu
tags: strings, regex, validation

## Summary
> Create a function that returns true if a string contains any spaces.
> Examples
> hasSpaces("hello") ➞ false
> hasSpaces("hello, world") ➞ true
> hasSpaces(" ") ➞ true
> hasSpaces("") ➞ false
> hasSpaces(",./!@#") ➞ false
> Notes
> An empty string does not contain any spaces.
> Try doing this without RegEx.
> Don't forget to return the result.
> If you get stuck on a challeng

## Instructions
Create a function that returns `true` if a string contains any spaces.

### Examples
```
hasSpaces("hello") ➞ false

hasSpaces("hello, world") ➞ true

hasSpaces(" ") ➞ true

hasSpaces("") ➞ false

hasSpaces(",./!@#") ➞ false
```

### Notes
- An empty string does not contain any spaces.
- Try doing this without RegEx.
- Don't forget to `return` the result.
- If you get stuck on a challenge, find help in the **Resources** tab.
- If you're *really* stuck, unlock solutions in the **Solutions** tab.