# Is the Word Singular or Plural?
by Helen Yu
tags: strings, validation, conditions

## Summary
> Create a function that takes in a word and determines whether or not it is plural. A plural word is one that ends in "s".
> Examples
> isPlural("changes") ➞ true
> isPlural("change") ➞ false
> isPlural("dudes") ➞ true
> isPlural("magic") ➞ false
> Notes
> Don't forget to return the result.
> Remember that return true (boolean) is not the same as return "true" (string).
> T

## Instructions
Create a function that takes in a word and determines whether or not it is plural. A plural word is one that ends in "s".

### Examples
```
isPlural("changes") ➞ true

isPlural("change") ➞ false

isPlural("dudes") ➞ true

isPlural("magic") ➞ false
```

### Notes
- Don't forget to `return` the result.
- Remember that return `true` (_boolean_) is not the same as return `"true"` (_string_).
- This is an oversimplification of the English language. We are ignoring edge cases like "goose" and "geese", "fungus" and "fungi", etc.
- If you get stuck on a challenge, find help in the **Resources** tab.
- If you're *really* stuck, unlock solutions in the **Solutions** tab.