# Something in the Box?
by Helen Yu
tags: sorting, formatting

## Summary
> Create a function that returns true if an asterisk * is inside a box.
> Examples
> inBox([
>   "###",
>   "#*#",
>   "###"
> ]) ➞ true
> inBox([
>   "####",
>   "#* #",
>   "#  #",
>   "####"
> ]) ➞ true
> inBox([
>   "*####",
>   "# #",
>   "#  #*",
>   "####"
> ]) ➞ false
> inBox([
>   "#####",
>   "#   #",
>   "#   #",
>   "#   #",
>   "#####"
> ]) ➞ false
> Notes
> The asterisk may be in the array, howev

## Instructions
Create a function that returns `true` if an asterisk `*` is inside a box.

### Examples
```
inBox([
  "###",
  "#*#",
  "###"
]) ➞ true

inBox([
  "####",
  "#* #",
  "#  #",
  "####"
]) ➞ true

inBox([
  "*####",
  "# #",
  "#  #*",
  "####"
]) ➞ false

inBox([
  "#####",
  "#   #",
  "#   #",
  "#   #",
  "#####"
]) ➞ false
```

### Notes
The asterisk may be in the array, however, it must be inside the box, if it exists.