# camelCase  ⇄  snake_case
by Matt
tags: algorithms, regex, formatting, strings

## Summary
> Create two functions toCamelCase() and toSnakeCase() that each take a single string and convert it into either camelCase or snake_case. If you're not sure what these terms mean, check the Resources tab above.
> Examples
> toCamelCase("hello_edabit") ➞ "helloEdabit"
> toSnakeCase("helloEdabit") ➞ "hello_edabit"
> toCamelCase("ismodalopen") ➞ "isModalOpen"
> toSnakeCa

## Instructions
Create two functions `toCamelCase()` and `toSnakeCase()` that each take a single string and convert it into either camelCase or snake_case. If you're not sure what these terms mean, check the **Resources** tab above.

### Examples
```
toCamelCase("hello_edabit") ➞ "helloEdabit"

toSnakeCase("helloEdabit") ➞ "hello_edabit"

toCamelCase("is_modal_open") ➞ "isModalOpen"

toSnakeCase("getColor") ➞ "get_color"
```

### Notes
Test input will always be appropriately formatted as either camelCase or snake_case, depending on the function being called.